<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;
//Fecha de inactivación
$fecha_inac=date("Y-m-d",strtotime($fechaClienteIni."+ 3 month"));

//Periodo para cerrar mes
if($sis_mes==1):
    $mes_periodo=12;
    $ano_periodo=$sis_ano-1;
else:
    $mes_periodo=$sis_mes-1;
    $ano_periodo=$sis_ano;
endif;

$sqlGrupo = "SELECT * FROM cliente WHERE id_cli = '$id_fk_cliente_fact'";
$conGrupo = $bdFact->consulta($sqlGrupo);
$resGrupo = $bdFact->fetch_assoc($conGrupo);
$comentario = utf8_decode($resGrupo['nom_cli']);


$sqlGrupo = "SELECT idemp, nom_empresa FROM empresa WHERE idemp=$empresa_sms ORDER BY nom_empresa";
$conGrupo = $bdSMS->consulta($sqlGrupo);
$resGrupo = $bdSMS->fetch_array($conGrupo);
$nom_empresa = $resGrupo['nom_empresa'];
                                
                            

if(isset($_POST['login_sms'])):
	$login_sms = strtoupper(utf8_decode($_POST['login_sms']));
else:
	$login_sms = '';
endif;


$ramdon = mt_rand(0,9999);

$pass_sms = md5($pass_visible);

//Si plan es de obsequio se inactiva en 3 meses
if($plan_sms==6):
    $fecha_inac=date("Y-m-d",strtotime($fechaClienteIni."+ 3 month"));
//Si es diferente a obsequio se inactiva en 12 meses
else: 
    $fecha_inac=date("Y-m-d",strtotime($fechaClienteIni."+ 12 month"));
endif;

if($pass_visible!=''):

    $sqlCliPass="UPDATE cliente set pass='$pass_sms', pass_visible='$pass_visible' where idcliente=$idcliente_sms ";
    $actCliente = $bdSMS->consulta("$sqlCliPass");

endif;

//Valido si no hay empresas parecidas
$sqlCliente="UPDATE cliente set login='$login_sms', disponibles='$disponibles_sms', empresa='$nom_empresa', plan='$plan_sms', gratis='$gratis_sms', id_fk_em='$empresa_sms', activo='$activo_sms', fechaClienteIni='$fechaClienteIni_sms', fechaClienteFin='$fecha_inac' where idcliente=$idcliente_sms ";
$actCliente = $bdSMS->consulta("$sqlCliente");	
$texto = 'Actualizó correctamente';



?>
<form name="ActCliPin" id="ActCliPin">
    <input type="hidden" id="idcliente_sms" name="idcliente_sms" value="<?=$idcliente_sms?>"> 
    <input type="hidden" id="enlace" name="enlace" value="<?=$enlace?>">
    <input type="hidden" id="id_grupos" name="id_grupos" value="<?=$id_grupos?>">
    <input type="hidden" id="estado_empresa" name="estado_empresa" value="<?=$estado_empresa?>">
</form>

<script type="text/javascript">
    alert('Actualizó correctamente en la base de datos');
    ocultar('#','modal');
    guardar('<?=$enlace?>','ActCliPin','divDer2','cargando');
</script>

